/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "Milliseconds.h"
#include "Leds.h"

uint16 Led1State;


#define LED1_PIN_WRITE(a)  Blue_LED_Write(a) 
#define LED1_PIN_READ()  Blue_LED_Read() 

void init_leds() {
    Led1State=0;
    LED1_PIN_WRITE(1);

    
}
void Led1(int16 OnOff) {
    if (OnOff) {
        Led1State=OnOff;
        LED1_PIN_WRITE(1);
    } else {
        Led1State = OnOff;
        LED1_PIN_WRITE(0);
    }
}
//---------------------------------------------------
// blink led based on rate in millisecondsBetweenBlinks
//---------------------------------------------------
void BlinkLed1(int16 millisecondsBetweenBlinks){
    if (FlagLED1>=millisecondsBetweenBlinks) {
        FlagLED1=0;// led 1
        Led1State =!Led1State;
        Led1(Led1State);                 
    }

}
//---------------------------------------------------
// flip led state on/off based on current value
//---------------------------------------------------
void FlipLed1() {
  LED1_PIN_WRITE(!LED1_PIN_READ());   
}


/* [] END OF FILE */
