/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "Milliseconds.h"

volatile uint32 milliseconds;
int16 FlagLED1,timeFlag1,timeFlag2,playIRFlag;
int16 msCounter1;
volatile uint16 ms,seconds, minutes, hours;

CY_ISR(MillisecondInterrupt) {
    milliseconds++;
    FlagLED1++;
    timeFlag1=timeFlag2=playIRFlag=1; // set the millisecond flags
    
    if ( msCounter1>0){
        msCounter1--;
    }
    
    if (++ms>=1000){
        ms=0;
        if (++seconds>=60){
            seconds=0;
            if (++minutes >=60) {
                minutes=0;
                if (++hours>=24){
                    hours=0;
                }
            }
        }
    }
        
}

void init_milliseconds() {
 
    isr_1_millisecond_StartEx(MillisecondInterrupt);
    
}


/* [] END OF FILE */
