#ifndef USBSERIAL_H_
#define USBSERIAL_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#ifndef ___int8_t_defined
    #include "project.h"// needed for uint8_t,uint32_t
#endif



typedef struct USBSerialMessageStruct
 {
	uint16_t ucMessageID;
    uint16_t size;
	uint8_t  msg[ 129 +1];// allow terminating zero just in case
 } USBSerialMessage;

#define NUMBER_OF_USB_BUFFERS 3
extern USBSerialMessage USBRxBuffer[NUMBER_OF_USB_BUFFERS+1];

    
    
void initUSBSerial( );
int16 usbserial_putString(const char msg[]);
int16 handleUSBSerial();// return -1 for no data, 0 to NUMBER_OF_USB_BUFFERS for data
int16 usbserial_putChar(char c);

#define printMessage usbserial_putString
#define printChar    usbserial_putChar
#endif

