#ifndef _ATOI_ITOA_H_
    #define _ATOI_ITOA_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "main.h"

//-------------------------------------------
//-------------------------------------------
//only pos values are correct
//returns -1 on error
//-------------------------------------------
//-------------------------------------------
extern int32 myStrToUint(char *src);

//==============================================
// ascii helper below
//-------------------------------------------
//-------------------------------------------
int16 _digit(uint8 c) ;

//-------------------------------------------
 /*
 ** The following two functions together make up an itoa()
 ** implementation. Function i2a() is a 'private' function
 ** called by the public itoa() function.
 **
 ** itoa() takes three arguments:
 ** 1) the integer to be converted,
 ** 2) a pointer to a character conversion buffer,
 ** 3) the radix for the conversion
 ** which can range between 2 and 36 inclusive
 ** range errors on the radix default it to base10
 */

//-------------------------------------------
//-------------------------------------------
char *i2a(unsigned i, char *a, unsigned r);
//-------------------------------------------
//-------------------------------------------
char *itoa_s(int i, char *a, int r);
//-------------------------------------------
//-------------------------------------------
char *itoa_u(unsigned int i, char *a, int r);
//-------------------------------------------
//-------------------------------------------
int atoi_n(const char * string, int n, int len, int *value_return);
#endif
/* [] END OF FILE */
