#ifndef _CAPTUREIR_H_
#define _CAPTUREIR_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include <project.h>

#define ENABLE_RECORDING 1
    

void init_capture();
void handle_capture();

extern    int16 captureIRData;

    // predefined enums
enum equipEnum {
    FRIDGIDAIRE_ID=0
    ,GE_ID=1
           
};


enum captureTypesEnum {
     nullType=0
    ,upType
    ,downType
    ,powerType
    ,heatType
    ,coolType
    ,energySaverType
    ,fanOnlyType
    ,fanAutoType
    ,fanFasterType
    ,fanSlowerType
    ,modeType           // select next operating mode
    ,numberOfTypes
};

extern enum captureTypesEnum captureType;// playIR.c

#define         MAX_NUMBER_OF_TRANSITIONS_IN_ONE_IR_MESSAGE 256
extern uint32   CaptureTimes[MAX_NUMBER_OF_TRANSITIONS_IN_ONE_IR_MESSAGE];
extern uint8    capCounter;// is 256 maximum so will wrap if captures get out of hand
extern uint16   SendTimes[MAX_NUMBER_OF_TRANSITIONS_IN_ONE_IR_MESSAGE];// scratchpad (i'm lazy)

typedef struct  ir_capture_struct  {
    enum captureTypesEnum  CaptureType;
    uint8   NumberOfTransitions;
    uint16  TransitionTimes[512];// unknown number, is a set of transitions 
} IR_CAPTURE;

#define IR_CAPTURE_SIZE(irc_ptr) (sizeof(IR_CAPTURE)+irc_ptr->NumberOfTransitions*sizeof(uint16)-1)
#endif
/* [] END OF FILE */
