#ifndef _DS18B20_H_
    #define _DS18B20_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include <project.h>

    // commands to device
#define Skip_ROM 		             0xCC
#define BeginTempConvertion 		 0x44
#define Read_scratchpad              0xBE


#define TIMEOUT_READ_WRITE_0_BIT    50           //Data bit 0 read,write 15-60us
#define TIMEOUT_READ_WRITE_1_BIT    10          //Data bit 1 read,write 1-15us
#define WAIT_TIME_US                480         //in us.(minimum 480)

/***************************************
*        Function Prototypes 
***************************************/

float getTemperature();// return temperature Celcius
float getTemperatureF(int16 * readingAvailable); // return temp Fareignheight

void initialize_1_wire_device(); // initialize system

uint8 OneWireResetResults;

uint8 Read1WireBit();                
uint8 Read1WireByte();             

uint8 Reset1WireBus();            


void Write1WireBit(uint8 payload);     
void Write1WireByte(uint8 payload);   


/*    Here are the "family" definitions for 1 wire devices
uint32 Family;
		case 0x00:             Family=0;    // unknown
        case 0x01:             Family = 0x1990;
        case 0x02:             Family = 0x1991;
        case 0x04:             Family = 0x1994;
        case 0x05:             Family = 0x2405;
        case 0x06:             Family = 0x1993;
        case 0x08:             Family = 0x1992; 
        case 0x09:             Family = 0x1982;
        case 0x10:             Family = 0x1820; // temperature 
        case 0x28:             Family = 0x18B20;// temperature
*/

#endif

/* End Of File */

