/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "main.h"

//#if defined (__GNUC__)
// Build settings
// use default libraries true
// use newlibnano false
// use newlibnano floating point format false
    /* Add an explicit reference to the floating point printf library */
    /* to allow the usage of floating point conversion specifiers. */
    /* This is not linked in by default with the newlib-nano library. */
    // in CYDWR->System, change stack size to 4k (0x1000), and Heap size to 2k (0x7ff)
    asm (".global _printf_float");
//#endif

int main(void)
{
    int16 bufNum;
    USBSerialMessage *USBRxPtr;
    temperature=70.0;
    init_leds();// do any led setup
    init_milliseconds();// setup the millisecond timer

    seconds=30;
    extern int32 decisionTimer;// TemperatureControl.c
    decisionTimer=1;  // only wait 30 secs after power up.

    CyGlobalIntEnable;  /* Uncomment this line to enable global interrupts. */
   //while(milliseconds < 60000);// allow time to attach debugger
    

    initialize_1_wire_device();// set up the temperature device
    
    Nextion_interface_init();// intialize RS232 for nextion
    init_TemperatureControl();
    initUSBSerial();// setup the USB serial interface.
    
    init_capture();// set up the I/R Capture hardware
    init_playIR(); // initialize the ir playback
    
    for(;;)
    {
        //======================
        // status led
        //======================
       if (OneWireResetResults==0xff){
          Blue_LED_Write(1);// one wire device is bad
        } else {
            BlinkLed1(1000);//
        }
        
        //===========================
        // if the user has chosen to 
        // read the I/R controller.
        //===========================
        handle_capture();
        
        //======================
        // usb serial port
        //======================
        if ((bufNum=handleUSBSerial())>=0){
            USBRxPtr=&USBRxBuffer[bufNum];
           parse((char*)(USBRxPtr->msg),&(USBRxPtr->size)); // handle possible command   
        }
        
           
        //======================
        // nextion
        //======================
        handle_Nextion_interface(); // update the display if needed

        handle_playIR(); // handles scheduling of ir commands
        
        handle_TemperatureControl(); // in this code, we actually control the A/C unit
        }
      
    
}
    


/* [] END OF FILE */
